/* Estilos básicos y mobile-first */
body {
    margin: 0;
    font-family: 'Montserrat', sans-serif;
    color: #333;
    background: var(---crema);
    ---rozadofuerte: #ef8ba1;
    ---rozadopiel: #f5b29c;
    ---crema: #efe9dd;
    ---marino: #355162;
    --btncolor: #c94b86;
    ---btncolorhover: #d63384;
    ---backgroundcolor:#ffa9bc9e;
}

.container {
    width: 75%;
    max-width: 1200px;
    margin: 0 auto;
}
/* Estilos generales del header */
header {
    background: var(---backgroundcolor); /* Gradiente de un color claro a un tono más oscuro */
    color: black;
    padding: 1rem 0;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    flex-wrap: wrap;
}

header:hover .navbar {
    max-height: 500px; /* Ajusta el valor según el contenido de tu barra de navegación */
    opacity: 1; 
}

/* Estilos del botón de menú */
.menu-toggle {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    display: none; /* Ocultar por defecto */
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 15px
}

.logo img {
    height: 90px; /* Ajusta el tamaño del logo según sea necesario */
    width: auto;
    display: block;
    filter: invert(1) sepia(1) saturate(5) hue-rotate(180deg);
    /* Si necesitas ajustar el logo, puedes añadir márgenes o padding aquí */
}

.menu-icon {
    background: black;
    width: 25px;
    height: 3px;
    margin: 3px 0;
    margin-right: 40px;
}


/* Menú desplegable para móviles */
.navbar {
    position: absolute;
    top: 110px; /* Ajustar según el tamaño del encabezado */
    right: 0;
    width:100%;
    max-height: 0; /* Comienza oculto */
    overflow: hidden; /* Oculta el contenido cuando está colapsado */
    transition: max-height 0.3s ease-in-out;
    opacity: 0;
    background:var(---backgroundcolor); 
}

.navbar.active {
    display: flex; /* Mostrar cuando se active */
}

.navbar ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    list-style: none;
    padding: 0;
    margin: auto;
    justify-content: space-around;
}

.navbar ul li {
    margin: 0;
}

.navbar ul li a {
    padding: 1rem;
    color: black;
    text-decoration: none;
    display: block;
}

@media (max-width: 768px) {
    .menu-toggle {
        top: 50px;
        position: absolute;
        display: flex;
    }

    .navbar {
        display: none;
        right: 0; /* Asegura que el menú esté oculto por defecto en móviles */
    }

    .navbar.active {
        display: flex; /* Mostrar el menú cuando se activa */
    }
}

/* Estilo para pantallas grandes */
@media (min-width: 769px) {
    .menu-toggle {
        display: none; /* Ocultar el botón de menú en pantallas grandes */
    }

    .navbar {
        display: flex; /* Asegura que el menú sea visible en pantallas grandes */
    }

    .navbar ul {
        flex-direction: row; /* Mostrar los elementos del menú en una fila */
    }

    .navbar ul li a {
        padding: 0.5rem 1rem;
    }
}

main {
    margin-top: 80px;
}

section#condiciones {
    padding: 2rem 0;
    background-color: var(--crema);
    color: #333;
    text-align: left;
}

section#condiciones h1 {
    font-size: 2.3rem;
    color: var(--rozadofuerte);
    margin-bottom: 1.5rem;
    text-align: center;
}

section#condiciones p {
    font-size: 1rem;
    line-height: 1.6;
    margin: 0.5rem 0;
    text-align:justify;
}

section#condiciones h2 {
    font-family: 'Montserrat', serif;
    font-size: 1.2rem;
    color: var(--marino);
    margin-top: 1.5rem;
    margin-bottom: 0.5rem;
    text-align: justify;
}

section#condiciones a {
    color: var(--btncolor);
    text-decoration: none;
    font-weight: bold;
}

section#condiciones a:hover {
    color: var(--btncolorhover);
}

/* Estilo para Dispositivos Móviles */
@media (max-width: 768px) {
    section#condiciones {
        padding: 1rem 0;
    }
    
    section#condiciones h1 {
        font-size: 2rem;
    }

    section#condiciones h2 {
        font-size: 1.25rem;
    }
}
#contacto {
    padding: 2rem;
    background-color: var(---crema); /* Color de fondo */
    color: #333; /* Color del texto */
    box-sizing: border-box;
}

/* Contenedor principal de la sección de contacto */
.contact-container {
    display:flex;
    flex-wrap: wrap;
    gap: 2rem;
    max-width: 95%;
    margin: auto;
}

/* Contenedor para el formulario y redes sociales */
.contact-form-social {
    flex: 1;
    max-width: 600px;
    text-decoration: none; /* Ancho máximo para el formulario */
}
.contact-form-social a {
    text-decoration: none;
}
/* Estilos para los iconos sociales */
.social-media {
    margin-top: 2rem;
}

.social-icon {
    display: inline-block;
    margin-right: 1rem;
    font-size: 2rem;
    color: var(---rozadofuerte); /* Color de los iconos */
    transition: color 0.3s ease;
}

.social-icon:hover {
    color: var(---rozadofuerte); /* Color de los iconos en hover */
}

/* Contenedor para el mapa */
.contact-map {
    flex: 1;
    max-width: 600px; /* Ancho máximo para el mapa */
}

.contact-map h3 {
    margin-bottom: 1rem;
    font-size: 1.2rem;
    color: #333; /* Color del título del mapa */
}

.map-container {
    position: relative;
    width: 100%;
    padding-top: 56.25%; /* Relación de aspecto de 16:9 */
    height: 0;
    overflow: hidden;
    border-radius: 0.5rem; /* Bordes redondeados del mapa */
}

.map-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
    border-radius: 0.5rem; /* Bordes redondeados del mapa */
}



/* Estilos para pantallas móviles */
@media (max-width: 768px) {
    #contacto {
        padding: 10px;
    }

    .containerr {
        padding: 15px;
        max-width: 100%; /* Permite que el contenedor ocupe todo el ancho disponible */
    }

    h2 {
        font-size: 20px; /* Ajusta el tamaño del encabezado en pantallas pequeñas */
    }

    input, textarea {
        font-size: 14px; /* Ajusta el tamaño de la fuente en pantallas pequeñas */
    }

    button.btn-thirt {
        font-size: 14px; /* Ajusta el tamaño de la fuente del botón en pantallas pequeñas */
    }
}

/* Footer Styles */
#footer {
    background:#ffa9bc9e; /* Gradiente de un color claro a un tono más oscuro */
    color: #333; /* Color del texto */
    padding: 2rem 1rem; /* Espaciado */
    text-align: center; /* Centra el texto */
    border-top: 2px solid #a44977; /* Línea superior del footer */
}

.footer-container {
    max-width: 1200px; /* Ajusta el ancho máximo */
    margin: 0 auto; /* Centra el contenido */
    display: flex;
    justify-content: space-between; /* Distribuye el contenido */
    flex-wrap: wrap; /* Permite que el contenido se ajuste en pantallas pequeñas */
}

.footer-content {
    flex: 1;
    margin-right: 1rem; /* Espacio a la derecha */
}

.footer-menu {
    flex: 1;
    margin-left: 1rem; /* Espacio a la izquierda */
}

.footer-menu h3 {
    margin-bottom: 1rem; /* Espacio debajo del título */
}

.footer-menu ul {
    list-style: none; /* Elimina las viñetas */
    padding: 0; /* Elimina el padding */
    margin: 0; /* Elimina el margen */
}

.footer-menu li {
    margin: 0.5rem 0; /* Espacio entre elementos de la lista */
}

.footer-menu a {
    text-decoration: none; /* Elimina el subrayado */
    color: #333; /* Color del texto */
    font-size: 1rem; /* Tamaño de la fuente */
}

.footer-menu a:hover {
    color: #a44977; /* Cambia el color del enlace al pasar el cursor */
}


@media (min-width: 600px) {
    .product-grid {
        grid-template-columns: 1fr 1fr;
    }

    .team {
        flex-direction: row;
    }
}

@media (min-width: 900px) {
    nav ul {
        justify-content: flex-end;
    }

    .team-member {
        margin: 2rem;
    }
}
